## org.hibernate.service.config.internal
Class ConfigurationServiceImpl

    java.lang.Object
      org.hibernate.service.config.internal.ConfigurationServiceImpl

All Implemented Interfaces:
  Serializable, ConfigurationService, Service

    public class ConfigurationServiceImpl

extends Object
implements ConfigurationService

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.service.config.spi.ConfigurationService
`ConfigurationService.Converter<T>`

Constructor Summary
`ConfigurationServiceImpl(Map settings)`

Method Summary

`

`<T> T`

`

`getSetting(String name, ConfigurationService.Converter<T> converter)`

`

`<T> T`

`

`getSetting(String name, ConfigurationService.Converter<T> converter, T defaultValue)`

`Map` `getSettings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationServiceImpl

    public ConfigurationServiceImpl(Map settings)

Method Detail

### getSettings

    public Map getSettings()

  Specified by:
    `getSettings` in interface `ConfigurationService`

### getSetting

    public <T> T getSetting(String name,
                            ConfigurationService.Converter<T> converter)

  Specified by:
    `getSetting` in interface `ConfigurationService`

### getSetting

    public <T> T getSetting(String name,
                            ConfigurationService.Converter<T> converter,
                            T defaultValue)

  Specified by:
    `getSetting` in interface `ConfigurationService`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.